Disputes

Disputes are created when we recieve a dispute (chargeback or inquiry) from the cardholder's bank. When this happens, you have the opportunity to respond to the dispute with evidence that shows that the charge is legitimate.

Repond to disputes by submitting evidence to the cardholder’s bank.

The Dispute object

Name
object
Type
"dispute",
Description
Literal representing the object’s type.
Name
id
Type
string,
Description
Unique identifier for the object.
Name
live
Type
boolean,
Description
Has the value true if the object exists in a production environment or the value false if the object exists in a sandbox environment.
Name
created_at
Type
integer,
Description
Time at which the object was created. Measured in milliseconds since the Unix epoch.
Name
amount
Type
integer,
Description
The disputed amount.
Name
evidence
Type
object,
Properties
Name
evidence_details
Type
object,
Properties
Name
metadata
Type
object,
Description
A key-value store that is attached to the object. Useful for storing miscellaneous structured data for your integration’s internal use.
Name
payment
Type
string or Payment or null,
Description
Expandable. The payment that is disputed. null only if the dispute was expanded from a payment object.
Name
payment_method_details
Type
object,
Properties
Name
reason
Type
enum,
Description
The cardholder's stated reason for dispute.
Name
status
Type
enum,
Description
The status of the dispute.

The Dispute object

{
  "object": "dispute",
  "id": "dis_iQ8bYlW1rHvDbKagXGTFj",
  "live": false,
  "created_at": 1750000000000,
  "amount": 1000,
  "evidence": {
    "access_activity_log": null,
    "billing_address": null,
    "cancellation_policy_disclosure": null,
    "cancellation_policy": null,
    "cancellation_rebuttal": null,
    "customer_communication": null,
    "customer_email": null,
    "customer_name": null,
    "customer_purchase_ip": null,
    "customer_signature": null,
    "duplicate_charge_documentation": null,
    "duplicate_charge_explanation": null,
    "duplicate_payment": null,
    "product_category": null,
    "product_description": null,
    "receipt": null,
    "refund_policy_disclosure": null,
    "refund_policy": null,
    "refund_refusal_explanation": null,
    "service_date": null,
    "service_documentation": null,
    "shipping_address": null,
    "shipping_carrier": null,
    "shipping_date": null,
    "shipping_documentation": null,
    "shipping_tracking_number": null,
    "terms_and_conditions": null,
    "uncategorized_file": null,
    "uncategorized_text": null,
    "win_reason": null
  },
  "evidence_details": {
    "due_by": 1752000000000,
    "submitted_at": null
  },
  "metadata": {},
  "payment_method_details": {
    "card": {
      "case_type": "chargeback",
      "network_reason_code": null
    }
  },
  "payment": null,
  "reason": "duplicate",
  "status": "needs_response"
}

Get a dispute

Retrieve a dispute by its ID.

Optional parameters

Name
expand
Type
object,
Properties

Returns

Returns the dispute object.

Retrieve a dispute

const dispute = await bias.disputes.get("id");

Response example


List all disputes

Retrieve a paginated list of disputes.

Optional parameters

Name
expand
Type
object,
Properties
Name
ending_before
Type
string,
Description
A cursor for use in pagination. ending_before is an object ID that results will end before. Used to move backward through the list.
Name
starting_after
Type
string,
Description
A cursor for use in pagination. starting_after is an object ID that results will start after. Used to move forward through the list.
Name
limit
Type
number, at least 1, at most 1000, default is 50
Description
Maximum number of objects to return.
Name
filters
Type
object, object, or object,
Properties

Returns

Returns a list of dispute objects.

List all disputes

const dispute = await bias.disputes.list();

Response example

{
  "object": "list",
  "has_more": false
}

Update a dispute

Update a dispute’s evidence and metadata, optionally submitting the evidence for review by the cardholder’s bank.

Optional parameters

Name
evidence
Type
object,
Properties
Name
metadata
Type
object or null,
Description
A key-value store that is attached to the object. Useful for storing miscellaneous structured data for your integration’s internal use.
Name
submit
Type
boolean, default is false
Description
Submit the provided dispute evidence to the cardholder’s bank. Once submitted, you will not be able to update the dispute evidence.

Returns

Returns the dispute object.

Update a dispute

const dispute = await bias.disputes.update("id");

Response example